From 8c643871aff133ad8bee728d343cdb6678e88f83 Mon Sep 17 00:00:00 2001
From: Ajin Cherian <ajinc@fast.au.fujitsu.com>
Date: Fri, 4 Jun 2021 01:13:47 -0400
Subject: [PATCH v1] Remove two-phase option from CreateReplicationSlotCmd
 struct.

Currently the two-phase option is not supported in the CREATE_REPLICATION_SLOT command.
When that support is added, need to add this back.
---
 src/backend/replication/walsender.c | 2 +-
 src/include/nodes/replnodes.h       | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index e94069c..109c723 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -954,7 +954,7 @@ CreateReplicationSlot(CreateReplicationSlotCmd *cmd)
 		 */
 		ReplicationSlotCreate(cmd->slotname, true,
 							  cmd->temporary ? RS_TEMPORARY : RS_EPHEMERAL,
-							  cmd->two_phase);
+							  false);
 	}
 
 	if (cmd->kind == REPLICATION_KIND_LOGICAL)
diff --git a/src/include/nodes/replnodes.h b/src/include/nodes/replnodes.h
index ebc43a0..faa3a25 100644
--- a/src/include/nodes/replnodes.h
+++ b/src/include/nodes/replnodes.h
@@ -56,7 +56,6 @@ typedef struct CreateReplicationSlotCmd
 	ReplicationKind kind;
 	char	   *plugin;
 	bool		temporary;
-	bool		two_phase;
 	List	   *options;
 } CreateReplicationSlotCmd;
 
-- 
1.8.3.1

